from chemsh import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

pyscf = PySCF(
    frag=no2,
    method="dft",
    scftype="uhf",
    basis="3-21g",
    functional="blyp",
    mult=2,
    charge=0,
)

sp = SP(theory=pyscf, gradients=True)
sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=normalscf from Tcl-ChemShell
# eref = -203.894138309891
# convergence=tightscf
# eref = -203.894138336459
# ORCA 5.0.3
#eref = -203.89411559

#pyscf reference
eref = -203.894116950

testutils.validate(ecalc, eref, tol=1.36e-6)
